﻿/***********************/
/* General / All Pages */
/***********************/

.accordianTitle {
    text-decoration: none;
    font-weight: bold;
}

    .accordianTitle:hover {
        text-decoration: none;
    }

/*Allow scrolling for tables*/
#ScrollableTable {
    height: 400px;
    /*    border-collapse: collapse;*/
    overflow: auto;
    border: 1px solid black;
}

    #ScrollableTable th {
        position: sticky;
        top: 0;
    }

/* Making the comments column having trailing dots if it's too long */
#tblActivities {
    white-space: nowrap;
}

    #tblActivities td:nth-child(2) {
        max-width: 150px;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }

/*CSS for tabs*/
.tab .nav-tabs {
    border-bottom: 0 none;
    margin-top: 20px;
}

    .tab .nav-tabs li a {
        font-size: 14px;
        font: bold;
        color: #fff;
        margin-right: 0;
        padding: 10px 45px;
        border-radius: 0;
        border-color: white;
        overflow: hidden;
        background-color: grey;
        text-transform: uppercase;
        transition: all 0.4s ease 0s;
        -webkit-transition: all 0.4s ease 0s;
        -moz-transition: all 0.4s ease 0s;
        -o-transition: all 0.4s ease 0s;
    }

    .tab .nav-tabs li:first-child a {
        border-top-left-radius: 8px;
    }

    .tab .nav-tabs li:last-child a {
        border-top-right-radius: 8px;
    }

    .tab .nav-tabs li a:hover,
    .tab .nav-tabs li a:hover,
    .tab .nav-tabs li a.active {
        background: #545f60;
        color: #fff;
        margin-top: -19px;
        padding: 20px 45px;
        border: 1px solid #545f60;
    }

.tab .tab-content {
    border: 1px solid;
    border-color: darkgrey;
    color: black;
    padding: 25px 20px;
    background-color: whitesmoke;
    border-radius: 0 0 8px 8px;
}

.ui-menu {
    width: 150px;
}

hr {
    width: 100%;
    border-top: 1px solid #000 !important;
}

/* Added Custom Bootstrap CSS */
.w-40 {
    width: 40% !important;
}

.w-20 {
    width: 20% !important;
}

.w-10 {
    width: 10% !important;
}

/* Custom checkbox right side */
label.custom-control-label-left {
    position: relative;
    padding-right: 1.5rem;
}

    label.custom-control-label-left::before,
    label.custom-control-label-left::after {
        right: 0;
        left: auto;
    }

/* Modal Popup CSS */
.modal-dialog {
    flex-grow: 1;
}

    .modal-dialog.modal-xl {
        width: 70%;
        max-width: 70%;
        margin: 30px auto;
    }

    .modal-dialog .modal-body {
        max-height: calc(100vh - 250px);
        overflow-y: auto;
    }

        .modal-dialog .modal-body.row {
            margin-right: 0;
            margin-left: 0;
            padding-left: 0;
            padding-right: 0;
        }

        .modal-dialog .modal-body hr {
            width: 100%;
            border-top: 1px solid #000 !important;
        }

    .modal-dialog .modal-footer.row {
        margin-left: 0;
    }

    .modal-dialog .modal-footer .btn.btn-block + .btn.btn-block {
        margin-top: 0;
    }

/* Multiselect Dropdown */
.multiselect.dropdown-toggle {
    text-align: left !important;
}

/* Hide Arrows From Input Number */
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}

/*********************/
/* Responsive Styles */
/*********************/
/* Screen Width 1500 or Less */
@media only screen and (max-width: 1400px) {
}

/* Screen Width 1200 or Less */
@media only screen and (max-width: 1200px) {
}

/* Screen size transition from col-md-* to col-sm-* */
@media (max-width: 991px) {
}

/* Screen Width 900 or Less */
@media only screen and (max-width: 900px) {
}

@media screen and (orientation:portrait) {
}
